## ipy 0.52

=== Makefile ===
.PHONY: test
PYTHON=python

test: README
	@echo "[ run unit tests ]"
	PYTHONPATH=$(PWD) $(PYTHON) test/test_IPy.py || exit $$?
	@echo
	@echo "[ test README ]"
	$(PYTHON) test_doc.py || exit $$?

egg: clean README
	$(PYTHON) setup.py sdist bdist_egg

README: IPy.py
	$(PYTHON) -c "import IPy; open('README', 'w').write(IPy.__doc__)"

IPy.html: README
	rst2html README $@ --stylesheet=rest.css

install:
	./setup.py install

clean:
	rm -rf README IPy.html *.pyc build dist IPy.egg-info

## ipy 0.55+1

=== Makefile ===
.PHONY: test
PYTHON=python

test:
	@echo "[ run unit tests ]"
	PYTHONPATH=$(PWD) $(PYTHON) test/test_IPy.py || exit $$?
	@echo
	@echo "[ test README ]"
	$(PYTHON) test_doc.py || exit $$?

egg: clean
	$(PYTHON) setup.py sdist bdist_egg

IPy.html: README
	rst2html README $@ --stylesheet=rest.css

install:
	./setup.py install

clean:
	rm -rf README IPy.html *.pyc build dist IPy.egg-info

## ipy 0.62

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .PHONY: test
 PYTHON=python
 
-test:
+tests:
 	@echo "[ run unit tests ]"
 	PYTHONPATH=$(PWD) $(PYTHON) test/test_IPy.py || exit $$?
 	@echo

## ipy 0.81

=== debian/changelog ===
ipy (1:0.81-1) unstable; urgency=low

  * Team Upload
  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Jackson Doak ]
  * New upstream release.
  * Create debian/source/format
  * Create doc-base files
  * debian/control:
    - Bump debhelper to 9
    - Bump standards-version to 3.9.4
    - Add X-Python fields

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 13 Feb 2014 23:56:40 +0100

ipy (1:0.75-1) unstable; urgency=low

  * Team upload
  * New upstream version
    - Update debian/copyright
  * Convert to dh_python2
    - Drop build-depends on python-support
    - Remove debian/pyversions
    - Version python-all build-dep
    - Build --with python2
  * Add support for Python3
    - Add new python3-ipy binary to debian/control
    - Add python3-all to build-depends
    - Build --with python3
    - Override dh_auto_build/install to build for python and python3
    - Override dh_auto_clean to remove python3 build directory
    - Not running tests for python3, since test/test_IPy.py is python only
    - Rename debian/docs to python-ipy.docs and python3-ipy.docs so docs are
      installed in both packages
  * Drop old conflicts on python2.3/2.4-ipy
  * Drop unneeded python:Provides
  * Bump standards version to 3.9.2 without further change
  * Update Homepage: field in debian/control with new upstream location on
    github

 -- Scott Kitterman <scott@kitterman.com>  Wed, 18 Jan 2012 07:23:32 -0500

ipy (1:0.72-1) unstable; urgency=low

  * New upstream version.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 14 Feb 2011 14:53:18 +0100

ipy (1:0.70-1) unstable; urgency=low

  * New upstream version. 

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 06 Nov 2009 14:15:48 +0100

ipy (1:0.64-1) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Bernd Zeimetz ]
  * New upstream version.
  * debian/pycompat:
    - Deleting file, not needed.
  * debian/control, debian/rules:
    - Use the new dh to build the package.
    - Run the new test suite, which is provided by upstream since this
      version instead of the buggy docstring test.
    - Bump Standards-Version to 3.8.3, no changes needed.
  * debian/clean:
    - Add file. 
  * debian/compat:
    - Bump to level 7. 

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 25 Aug 2009 18:01:19 +0200

ipy (1:0.62-1) unstable; urgency=low

  * New upstream version.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 29 Jun 2008 17:42:09 +0200

ipy (1:0.61-1) unstable; urgency=low

  * New upstream version.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 22 Jun 2008 03:04:50 +0200

ipy (1:0.60-1) unstable; urgency=low

  * New upstream version.
  * debian/README.Debian-source:
    - Deleting file, not needed anymore.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 27 May 2008 01:11:56 +0200

ipy (1:0.56-1) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - uniforming Vcs-Browser field
  
  [ Morten Werner Forsbring ]
  * debian/control
    - changed my lastname

  [ Bernd Zeimetz ]
  * New upstream version.
  * debian/uscan-tarball-clean.sh:
    - Removing file, not needed anymore.
  * debian/watch:
    - Updating file as we don't need debian/uscan-tarball-clean.sh anymore,
      upstream's debian directory was removed by upstream.

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 15 Feb 2008 19:05:40 +0100

ipy (1:0.55+1-1) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/watch
    - Url simplification

  [ Bernd Zeimetz ]
  * New sourceful upload with a faked +1 version. The tarball does not contain
    upstream's debian directory anymore, which slipped the maintainers' eyes
    during the last uploads.
  * debian/control:
    - Updating my email address.
    - Bumping Standards-Version to 3.7.3, no changes needed.
  * debian/uscan-tarball-clean.sh, debian/watch:
    - Adding script for uscan to strip upstream's debian directory from the
      tarball.
  * debian/README.Debian-source:
    - Adding file, describing the reason for repackaging upstream's tarball.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 26 Dec 2007 14:39:30 +0100

ipy (1:0.55-1) unstable; urgency=low

  * New upstream version (Closes: #450580).
  * debian/control:
    - Added Vcs-Browser field.
    - Fixed lintian errors by adding python-all to Build-Depends and
      python-support to Build-Depends-Indep.
    - Rename XS-Vcs-Svn fields to Vcs-Svn (dpkg supports them now).
    - Adding myself to uploaders.
    - Adding ${misc:Depends} to Depends.
    - Removing cdbs from Build-Depends, not used anymore.
    - Adding python-docutils to Build-Depends-Indep to create IPy.html
  * debian/watch:
    - Updated file to check the new location at Python's cheeseshop.
  * debian/compat:
    - Bumping to level 5.
  * debian/copyright:
    - Updating file to reflect the content of the current upstream tarball.
  * debian/rules:
    - Rewriting file, removing cdbs, run tests during the build process.
  * debian/{docs, examples}:
    - Adding files.
  * debian/patches:
    - Removing unused directory.
  * debian/pyversions:
    - Even 2.2 is supported, updating file for those who like to do backports.

 -- Bernd Zeimetz <bernd@bzed.de>  Thu, 08 Nov 2007 11:52:06 +0100

ipy (1:0.52-2) unstable; urgency=low

  [ Piotr Ozarowski ]
  * Added XS-Vcs-Svn field
  
  [ Morten Werner Olsen ]
  * Only provides ${python:Provides} as we only want to provide packages
    for supported python versions. (Closes: #399934)

 -- Morten Werner Olsen <werner@debian.org>  Mon, 27 Nov 2006 09:08:18 +0100

ipy (1:0.52-1) unstable; urgency=medium

  * New upstream release.
     - Fixes unit tests which makes the package work with python2.3 and
       python2.5
     - Fix strCompressed() for IPv6 "ffff:ffff:ffff:ffff:ffff:f:f:fffc/127"
  * Setting urgency to medium as I want these bugfixes to enter etch.
  * Including the new COPYING file from upstream with license info.

 -- Morten Werner Olsen <werner@debian.org>  Sun, 19 Nov 2006 17:21:55 +0100



=== debian/control ===
Source: ipy
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Bernd Zeimetz <bzed@debian.org>, Morten Werner Forsbring <werner@debian.org>
Build-Depends: debhelper (>= 9), python-all (>= 2.6.5-2~), python3-all
Build-Depends-Indep: python-docutils
X-Python-Version: >= 2.5
Standards-Version: 3.9.4
Homepage: https://github.com/haypo/python-ipy/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/ipy/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/ipy/trunk/

Package: python-ipy
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: Python module for handling IPv4 and IPv6 addresses and networks
 IPy is a Python module for handling IPv4 and IPv6 addresses and
 networks in a fashion similar to perl's Net::IP and friends. The IP
 class allows a comfortable parsing and handling for most notations in
 use for IPv4 and IPv6 addresses and networks.

Package: python3-ipy
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Python3 module for handling IPv4 and IPv6 addresses and networks
 IPy is a Python3 module for handling IPv4 and IPv6 addresses and
 networks in a fashion similar to perl's Net::IP and friends. The IP
 class allows a comfortable parsing and handling for most notations in
 use for IPv4 and IPv6 addresses and networks.

=== debian/watch ===
version=3

http://pypi.python.org/packages/source/I/IPy/IPy-(.*)\.tar\.gz

## ipy 0.83

=== Makefile ===
.PHONY: tests egg install clean

PYTHON=python

tests:
	@echo "[ run unit tests in python 2 ]"
	PYTHONPATH=$(PWD) $(PYTHON)2.6 test/test_IPy.py || exit $$?
	@echo "[ run unit tests in python 3 ]"
	PYTHONPATH=$(PWD) $(PYTHON)3.4 test/test_IPy.py || exit $$?
	@echo
	@echo "[ test README in python 2 ]"
	$(PYTHON)2.6 test_doc.py || exit $$?
	@echo "[ test README in python 3 ]"
	$(PYTHON)3.4 test_doc.py || exit $$?

egg: clean
	$(PYTHON) setup.py sdist bdist_egg

IPy.html: README
	rst2html README $@ --stylesheet=rest.css

install:
	./setup.py install

clean:
	rm -rf IPy.html *.pyc build dist IPy.egg-info

=== debian/changelog ===
ipy (1:0.83-1) unstable; urgency=medium

  * Team upload
  * New upstream release. 

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 21 Aug 2015 10:34:33 +0200

ipy (1:0.82a-1) experimental; urgency=low

  * Team upload.
  * New upstream release. 
  * debian/control:
    - Bump Standards-Version to 3.9.6.
  * debian/watch:
    - Update regex (The old url led to an useless blank page).

 -- Hugo Lefeuvre <hugo6390@orange.fr>  Sat, 24 Jan 2015 10:57:26 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,14 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Bernd Zeimetz <bzed@debian.org>, Morten Werner Forsbring <werner@debian.org>
-Build-Depends: debhelper (>= 9), python-all (>= 2.6.5-2~), python3-all
+Uploaders: Bernd Zeimetz <bzed@debian.org>, 
+           Morten Werner Forsbring <werner@debian.org>
+Build-Depends: debhelper (>= 9), 
+               python-all (>= 2.6.5-2~), 
+               python3-all
 Build-Depends-Indep: python-docutils
 X-Python-Version: >= 2.5
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: https://github.com/haypo/python-ipy/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/ipy/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/ipy/trunk/

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

%:
	dh $@ --with python2,python3

override_dh_auto_build:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py build; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py build; \
	done

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-ipy; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-ipy; \
	done

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/build
IPy.html:
	rst2html README IPy.html 

binary: binary-indep
binary-arch:
	# nothing to do here.
binary-indep: $(PYTHONS:%=test/test-%-stamp) IPy.html
	dh $@ --with python2,python3

test/test-%-stamp:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	python$* test/test_IPy.py
	touch $@
endif


.PHONY: install get-orig-source binary binary-arch binary-indep

get-orig-source:
	uscan --verbose --force-download

## ipy 0.83+apricot

=== debian/changelog ===
ipy (1:0.83+apricot-1) unstable; urgency=medium

  * Team upload
  * New upstream release. 

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 21 Aug 2015 10:34:33 +0200

## ipy 1.00

=== Makefile ===
.PHONY: tests egg install clean

PYTHON=python

tests:
	@echo "[ run unit tests in python 2 ]"
	PYTHONPATH=$(PWD) $(PYTHON)2.7 test/test_IPy.py || exit $$?
	@echo "[ run unit tests in python 3 ]"
	PYTHONPATH=$(PWD) $(PYTHON)3.6 test/test_IPy.py || exit $$?
	@echo
	@echo "[ test README in python 2 ]"
	$(PYTHON)2.7 test_doc.py || exit $$?
	@echo "[ test README in python 3 ]"
	$(PYTHON)3.6 test_doc.py || exit $$?

egg: clean
	$(PYTHON) setup.py sdist bdist_egg

IPy.html: README
	rst2html README $@ --stylesheet=rest.css

install:
	./setup.py install

clean:
	rm -rf IPy.html *.pyc build dist IPy.egg-info

=== debian/changelog ===
ipy (1:1.00-1) unstable; urgency=medium

  * [c1ff678] Update upstream source from tag 'upstream/1.00'
    Update to upstream version '1.00'
    with Debian dir 39f50eb679cd08c3fbb9df6596f61f7ffbd3cff8
  * [d96bca4] Remove werner@ from uploaders
  * [8204a77] Updating changelog
  * [4d5ec4d] Add gitlab-ci config
  * [fea0fa2] Move it to the proper folder
  * [ddca032] README was renamed to README.rst
  * [f412009] Also install README.rst, not README
  * [b8dca50] Add our own autopkgtests.
    autodep8 fails as the module name is IPy, not ipy.
    See #929957 for details.
  * [728750e] Install python for tests
  * [0daafed] Fix DeprecationWarnings
  * [4fcfe36] Tets should be silent on stderr.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 17 Nov 2019 00:56:17 +0100

ipy (1:0.83-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support (Closes: #936741).

  [ Piotr Ożarowski ]
  * Add dh-python to Build-Depends

 -- Ondřej Nový <onovy@debian.org>  Tue, 22 Oct 2019 21:42:20 +0200

=== debian/control ===
Source: ipy
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Bernd Zeimetz <bzed@debian.org>
Build-Depends: debhelper-compat (= 9),
               dh-python,
               python3-all,
Build-Depends-Indep: python3-docutils
Standards-Version: 3.9.6
Homepage: https://github.com/haypo/python-ipy/
Vcs-Git: https://salsa.debian.org/python-team/modules/ipy.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/ipy

Package: python3-ipy
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Python3 module for handling IPv4 and IPv6 addresses and networks
 IPy is a Python3 module for handling IPv4 and IPv6 addresses and
 networks in a fashion similar to perl's Net::IP and friends. The IP
 class allows a comfortable parsing and handling for most notations in
 use for IPv4 and IPv6 addresses and networks.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYTHON3S:=$(shell py3versions -vr)

%:
	dh $@ --with python3

override_dh_auto_build:
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py build; \
	done

override_dh_auto_install:
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-ipy; \
	done

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/build
IPy.html:
	rst2html README.rst IPy.html

binary: binary-indep
binary-arch:
	# nothing to do here.
binary-indep: $(PYTHON3S:%=test/test-%-stamp) IPy.html
	dh $@ --with python3

test/test-%-stamp:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	python$* test/test_IPy.py
	touch $@
endif


.PHONY: install get-orig-source binary binary-arch binary-indep

get-orig-source:
	uscan --verbose --force-download

=== debian/watch ===
version=3

https://github.com/haypo/python-ipy/releases .*/IPy-(.*)\.tar\.gz

## ipy 1.01

=== Makefile ===
--- 
+++ 
@@ -6,12 +6,12 @@
 	@echo "[ run unit tests in python 2 ]"
 	PYTHONPATH=$(PWD) $(PYTHON)2.7 test/test_IPy.py || exit $$?
 	@echo "[ run unit tests in python 3 ]"
-	PYTHONPATH=$(PWD) $(PYTHON)3.6 test/test_IPy.py || exit $$?
+	PYTHONPATH=$(PWD) $(PYTHON)3.9 test/test_IPy.py || exit $$?
 	@echo
 	@echo "[ test README in python 2 ]"
 	$(PYTHON)2.7 test_doc.py || exit $$?
 	@echo "[ test README in python 3 ]"
-	$(PYTHON)3.6 test_doc.py || exit $$?
+	$(PYTHON)3.9 test_doc.py || exit $$?
 
 egg: clean
 	$(PYTHON) setup.py sdist bdist_egg

=== debian/changelog ===
ipy (1:1.01-5) unstable; urgency=medium

  * Team upload.
  * Convert packaging to pybuild (closes: #1103313).

 -- Colin Watson <cjwatson@debian.org>  Sun, 13 Jul 2025 11:21:48 +0200

ipy (1:1.01-4) unstable; urgency=medium

  * Team upload.
  * Add build-dependency on python3-setuptools needed for distutils
    compatibility mode (Closes: #1080616)

 -- Alexandre Detiste <tchet@debian.org>  Thu, 30 Jan 2025 00:48:03 +0100

ipy (1:1.01-3) UNRELEASED; urgency=medium

  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Debian Janitor <janitor@jelmer.uk>  Wed, 11 Jan 2023 14:48:45 -0000

ipy (1:1.01-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 1:1.01-1.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Contact, Name.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 04:35:54 +0100

ipy (1:1.01-1) unstable; urgency=medium

  [ Debian Janitor ]
  * [791f967] Bump debhelper from old 9 to 12.
    Fixes: lintian: package-uses-old-debhelper-compat-version
    See-also:
    https://lintian.debian.org/tags/package-uses-old-debhelper-compat-version.html
  * [d07575c] Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository, Repository-Browse. Fixes: lintian:
    upstream-metadata-file-is-missing
    See-also:
    https://lintian.debian.org/tags/upstream-metadata-file-is-missing.html
    Fixes: lintian: upstream-metadata-missing-bug-tracking
    See-also:
    https://lintian.debian.org/tags/upstream-metadata-missing-bug-tracking.html
    Fixes: lintian: upstream-metadata-missing-repository
    See-also:
    https://lintian.debian.org/tags/upstream-metadata-missing-repository.html
  * [f57261a] Remove unnecessary get-orig-source-target.
    Fixes: lintian: debian-rules-contains-unnecessary-get-orig-source-target
    See-also:
    https://lintian.debian.org/tags/debian-rules-contains-unnecessary-get-orig-source-target.html

  [ Ondřej Nový ]
  * [9ccf0f6] d/control: Update Maintainer field with new Debian Python Team
    contact address
  * [3a42a61] d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout

  [ Bernd Zeimetz ]
  * [b8906bd] New upstream version 1.01
  * [36ab9ef] Updating changelog
  * [19c61c9] Removing patches, fixed upstream

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 30 Jan 2021 01:07:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: ipy
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Bernd Zeimetz <bzed@debian.org>
-Build-Depends: debhelper-compat (= 9),
-               dh-python,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
+               python3-setuptools,
 Build-Depends-Indep: python3-docutils
 Standards-Version: 3.9.6
 Homepage: https://github.com/haypo/python-ipy/
-Vcs-Git: https://salsa.debian.org/python-team/modules/ipy.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/ipy
+Vcs-Git: https://salsa.debian.org/python-team/packages/ipy.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/ipy
 
 Package: python3-ipy
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_TEST_CUSTOM := 1
export PYBUILD_TEST_ARGS := {interpreter} test/test_IPy.py

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_installdocs:
	rst2html README.rst IPy.html
